diff -ruN uppsrc/Draw/Draw.cpp uppsrc/Draw/Draw.cpp
--- uppsrc/Draw/Draw.cpp	2013-05-16 19:57:12 +0400
+++ uppsrc/Draw/Draw.cpp	2013-05-23 21:39:19 +0400
@@ -480,6 +480,12 @@
 	DrawPainting(RectC(x, y, cx, cy), ig);
 }
 
+void Draw::DrawPainting(int x, int y, const Painting& iw)
+{
+	Size sz = iw.GetSize();
+	DrawPainting(RectC(x, y, sz.cx, sz.cy), iw);
+}
+
 // ---------------------------
 
 dword NilDraw::GetInfo() const { return DOTS; }
diff -ruN uppsrc/Draw/Draw.h uppsrc/Draw/Draw.h
--- uppsrc/Draw/Draw.h	2013-05-21 19:16:00 +0400
+++ uppsrc/Draw/Draw.h	2013-05-23 21:18:36 +0400
@@ -560,9 +560,11 @@
 
 	void DrawDrawing(const Rect& r, const Drawing& iw) { DrawDrawingOp(r, iw); }
 	void DrawDrawing(int x, int y, int cx, int cy, const Drawing& iw);
+	void DrawDrawing(int x, int y, const Drawing& iw);
 
 	void DrawPainting(const Rect& r, const Painting& iw) { DrawPaintingOp(r, iw); }
 	void DrawPainting(int x, int y, int cx, int cy, const Painting& iw);
+	void DrawPainting(int x, int y, const Painting& iw);
 
 	void DrawText(int x, int y, int angle, const wchar *text, Font font = StdFont(),
 		          Color ink = DefaultInk, int n = -1, const int *dx = NULL);
diff -ruN uppsrc/Draw/Drawing.cpp uppsrc/Draw/Drawing.cpp
--- uppsrc/Draw/Drawing.cpp	2012-05-16 21:41:52 +0400
+++ uppsrc/Draw/Drawing.cpp	2013-05-23 21:34:09 +0400
@@ -632,6 +632,12 @@
 	DrawDrawing(RectC(x, y, cx, cy), w);
 }
 
+void Draw::DrawDrawing(int x, int y, const Drawing& iw)
+{
+	Size sz = iw.GetSize();
+	DrawDrawing(RectC(x, y, sz.cx, sz.cy), iw);
+}
+
 void  DrawingDraw::Create(int cx, int cy, bool dots_) {
 	Create(Size(cx, cy), dots_);
 }
